---
- name: Create S3 bucket for backups
  s3_bucket:
    name: "{{ bucket_name }}"
    state: present

- name: Create the user for backup
  iam_user:
    name: "{{ user_name }}"
    state: present

- name: Create IAM policy for the bucket
  iam_policy:
    policy_name: "{{ policy_name }}"
    state: present
    iam_name: "{{ user_name }}"
    iam_type: user
    policy_json: "{{ lookup( 'template', 's3_policy.json.j2') }}"

- name: Expire backups after 3 months
  s3_lifecycle:
    name: "{{ bucket_name }}"
    expiration_days: 90
    status: enabled
    state: present
